<?php

namespace AutoAdmin\Bundle\Content\Event\Traits;

use AutoAdmin\Bundle\Content\Context\ContentContext;
use Symfony\Component\HttpFoundation\Request;

trait ContentContextEventTrait
{
    public function __construct(
        private ContentContext $contentContext,
        private Request $request
    )
    {
    }

    public function getContentContext(): ContentContext
    {
        return $this->contentContext;
    }

    public function setContentContext(ContentContext $contentContext): void
    {
        $this->contentContext = $contentContext;
    }

    public function getRequest(): Request
    {
        return $this->request;
    }

    public function setRequest(Request $request): void
    {
        $this->request = $request;
    }
}
